<?php	

	include_once("includes/conexao.php");
	

	  if(isset($_GET['id']) && !empty($_GET['id'])){
		 
		  $id = $_GET['id'];
	

		  
		  
		  
	
	$html = '<table width="100%">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Prestação</th>';
	$html .= '<th>Capital</th>';
	$html .= '<th>Juros de capital</th>';
	$html .= '<th>Total</th>';
	$html .= '<th>Data previsão</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
 $customer = mysqli_query($con,"SELECT * FROM creditos WHERE id='$id'");
        while($row = mysqli_fetch_assoc($customer)){

            $cliente = $row['cliente'];
            $prestacao = $row['prestacoes'];
            $capital = $row['valor'];
            $juros = $row['juros'];

            $capitalFinal = $capital / $prestacao;
            $jurosCapital = $juros / $prestacao;

            $totalLoan = $capitalFinal + $jurosCapital;

            $data_previsao = $row['data'];
            $tipo_credito = $row['tipo'];
            
            
              if($tipo_credito =="Diario"){
                $numero_dias  = 1;
               }elseif($tipo_credito =="Semanal"){
                $numero_dias  = 7;
               }elseif($tipo_credito == "Mensal"){
                $numero_dias = 30;
               }elseif($tipo_credito == "Quinzenal"){
                $numero_dias = 15;
               }else{
                $numero_dias = 0;
               }
	
	           for($x=1; $x <= $prestacao; $x++) {

                $Dias = $x * $numero_dias;
               
                $date = new DateTime($data_previsao);
                 $date->modify('+' .$Dias. 'day');
                 $mudanca_frente_1 = $date->format('Y-m-d');
 
                 $nova_data = $mudanca_frente_1;

                 $now = date('Y-m-d');
                 $date1=date_create($nova_data);
                   $date2=date_create($now);
                  $diff=date_diff($date1,$date2);
                  
                   if($date2 > $date1){
                    $diasAtraso = $diff->format("%a");
                $moraTotal = $totalLoan * $juros_de_mora * $diasAtraso;


                        }else{
                             $diasAtraso =0;
                             $moraTotal=0;

                         }
                         $totalLoanPlusmoraTotal =  $totalLoan + $moraTotal;
	
	
	
	
		$html .= '<tr>';
		$html .= '<td>'.$x. "</td>";
		$html .= '<td>'.number_format($capitalFinal,2,",","."). "</td>";
		$html .= '<td>'.number_format($jurosCapital,2,",","."). "</td>";
		$html .= '<td>'.number_format($totalLoan,2,",","."). "</td>";
		$html .= '<td>'.$nova_data. "</td></tr>";

	}
}
		


}
  
		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
 
	<br></br><br>';
	
	
	//referenciar o DomPDF com namespace
	use Dompdf\Dompdf;

	// include autoloader
	require_once("dompdf/autoload.inc.php");

	//Criando a Instancia
	$dompdf = new DOMPDF();
	

  
  
	
$logotipo_dados = "SELECT * FROM empresa";
$sim_consegui = mysqli_query($con,$logotipo_dados);
$dados_empresa = mysqli_fetch_assoc($sim_consegui);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/'.$logo_empresa.'" width="180px" height="120px"/>
	
	
	<p align="right" style="padding-top:-150px;">
	   <b>'.$nome_empresa.'</b><br>
	   Cell: (+258) '.$contactos.'<br>
	   Endereço: '.$endereco_empresa.'<br>
	   Email: '.$email_empresa.'<br>
	   Maputo-Moçambique<br><br>
	</p>
	</div>
	<br></br><br>
	
		<h4 style="text-align: center; ">PLANO DE AMORTIZAÇÃO - <font color="red">'.$cliente.'</font></h4>
		
		
			'. $html .'
			
		
			
			
			
			<p align="center">Relatorio gerado no dia '.$dia.'/'.$mes.'/'.$ano.'</p>
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>